hibernate4.2 配置时缺少一些包到哪找?附参考文档:配置报错  -问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

hibernate4.2 配置时缺少一些包到哪找?附参考文档:配置报错 

kun坤 2020-06-02 14:42:33 53

最新版本Struts2.3.12+Spring3.2.2+Hibernate4.2.0框架配置详细步骤
参考上述文档配置SSH环境   
下载了hibernate-release-4.2.0.Final   spring-framework-3.2.2-dist   struts-2.3.14-all
做到配置hibernate时(第13页)发现下载的4.2中没有

aopalliance-1.0.jar  

jta-1.1.jar proxool-cglib.jar

mysql-connector-java-5.1.8-bin.jar 

这几个jar包 希望各位前辈讲解一下  这些是否是hibernate内置的包,这个版本没有内置是否有替代包。
我的系统是centos。

Java 数据库连接 Linux 网络安全
分享到
取消 提交回答
全部回答(1)
  • kun坤
    2020-06-02 14:42:40

    maven管理 会很方便######1. aopalliance 这个包请到spring 提供的jar包里寻找 2.jta-1.1.jar

    proxool-cglib.jar 这两个可以到hibernate里寻找
    3.mysql-connector-java-5.1.8-bin.jar请到mysql官网下载 ######

    引用来自“jeffsui”的答案

    1. aopalliance 这个包请到spring 提供的jar包里寻找 2.jta-1.1.jar proxool-cglib.jar 这两个可以到hibernate里寻找 3.mysql-connector-java-5.1.8-bin.jar请到mysql官网下载
    新版的hibernate里面没有proxool-cglib  我到proxool官方下载就好了 ######上CSDN下载######还是maven方便,有工具就是好!
    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程